aboutsummaryrefslogtreecommitdiff
path: root/fs/btrfs/version.sh
diff options
context:
space:
mode:
authorChris Mason <chris.mason@oracle.com>2008-11-19 21:17:22 -0500
committerChris Mason <chris.mason@oracle.com>2008-11-19 21:17:22 -0500
commit15916de835a683bd8133a0d1ac0c982b795ab4ff (patch)
tree20603c2e0cade00d2e40a3b5390f5def36a02711 /fs/btrfs/version.sh
parentae20a6afec1cf21919d97303f2d8b737eac5acc7 (diff)
Btrfs: Fixes for 2.6.28-rc API changes
* open/close_bdev_excl -> open/close_bdev_exclusive * blkdev_issue_discard takes a GFP mask now * Fix blkdev_issue_discard usage now that it is enabled Signed-off-by: Chris Mason <chris.mason@oracle.com>
Diffstat (limited to 'fs/btrfs/version.sh')
-rw-r--r--fs/btrfs/version.sh34
1 files changed, 17 insertions, 17 deletions
diff --git a/fs/btrfs/version.sh b/fs/btrfs/version.sh
index 0f57f24404d..1ca1952fd91 100644
--- a/fs/btrfs/version.sh
+++ b/fs/btrfs/version.sh
@@ -8,24 +8,24 @@
v="v0.16"
-which hg > /dev/null
-if [ -d .hg ] && [ $? == 0 ]; then
- last=$(hg tags | grep -m1 -o '^v[0-9.]\+')
-
- # now check if the repo has commits since then...
- if [[ $(hg id -t) == $last || \
- $(hg di -r "$last:." | awk '/^diff/{print $NF}' | sort -u) == .hgtags ]]
- then
- # check if it's dirty
- if [[ $(hg id | cut -d' ' -f1) == *+ ]]; then
- v=$last+
- else
- v=$last
+which git &> /dev/null
+if [ $? == 0 ]; then
+ git branch >& /dev/null
+ if [ $? == 0 ]; then
+ if head=`git rev-parse --verify HEAD 2>/dev/null`; then
+ if tag=`git describe --tags 2>/dev/null`; then
+ v="$tag"
+ fi
+
+ # Are there uncommitted changes?
+ git update-index --refresh --unmerged > /dev/null
+ if git diff-index --name-only HEAD | \
+ grep -v "^scripts/package" \
+ | read dummy; then
+ v="$v"-dirty
+ fi
fi
- else
- # includes dirty flag
- v=$last+$(hg id -i)
- fi
+ fi
fi
echo "#ifndef __BUILD_VERSION" > .build-version.h